## wxSockAddress

You are unlikely to need to use this class: only wxSocketBase uses it.

Derived from

wxObject

Include files

<wx/socket.h>

See also

wxSocketBase wxIPV4address

Members

wxSockAddress::wxSockAddress
wxSockAddress::~wxSockAddress
wxSockAddress::Clear
wxSockAddress::SockAddrLen

### wxSockAddress::wxSockAddress

wxSockAddress()

Default constructor.

### wxSockAddress::~wxSockAddress

~wxSockAddress()

Default destructor.

### wxSockAddress::Clear

void Clear()

Delete all informations about the address.

### wxSockAddress::SockAddrLen

int SockAddrLen()

Returns the length of the socket address.